Bug 877188 - Luci lets users set max_restarts/max_failures without setting the corresponding timeout
Summary: Luci lets users set max_restarts/max_failures without setting the correspondi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: luci
Version: 6.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Ryan McCabe
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks: 886216
TreeView+ depends on / blocked
 
Reported: 2012-11-15 22:13 UTC by Ryan McCabe
Modified: 2013-02-21 08:22 UTC (History)
2 users (show)

Fixed In Version: luci-0.26.0-29.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-21 08:22:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0309 normal SHIPPED_LIVE luci bug fix and enhancement update 2013-02-20 20:35:24 UTC

Description Ryan McCabe 2012-11-15 22:13:51 UTC
luci will allow users to set max_restarts, __max_restarts, and __max_failures without setting their corresponding timeouts, and vice versa.

A fix for these issues is already upstream:

commit 616e70d2a760175bd27262766efb85e63ea980fd
Author: Ryan McCabe <rmccabe@redhat.com>
Date:   Thu Nov 15 11:08:48 2012 -0500

    luci: Fix handling of subtree options
    
    For subtrees, error out if __max_failures is set by __failure_expire_time
    is not, and vice versa. Also error out if __max_restarts is set but
    __restart_expire_time is not, and vice versa.
    
    Signed-off-by: Ryan McCabe <rmccabe@redhat.com>

commit 0f0db639ab786c386fb8182fa82ce6bbe93dda8e
Author: Ryan McCabe <rmccabe@redhat.com>
Date:   Thu Nov 15 10:56:52 2012 -0500

    luci: Error out if max_restarts is set but not restart_expire_time
    
    Error out if max_restarts is set but restart_expire_time is not set,
    and vice versa, on the service group config form.
    
    Signed-off-by: Ryan McCabe <rmccabe@redhat.com>

Comment 7 errata-xmlrpc 2013-02-21 08:22:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0309.html


Note You need to log in before you can comment on or make changes to this bug.